Name:		netprober-req
Version:	13.0
Release:	2%{?dist}
Summary:	Meta-package to bring in network testing & configuration tools

Group:		Applications/Internet
License:	Public Domain
URL:		http://www.ghiapet.net/
# Source0:	
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	%{name}-link, %{name}-internet, %{name}-transport, %{name}-application

%description
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

%package link
Summary:	Meta-package to bring in network link-layer testing & configuration tools
BuildArch:	noarch
# Fedora packages
Requires:	arp-scan, arptools, dwscan, etherbat, ethstatus, ettercap, ettercap-gtk, hosts3d, hosts3d-sampler, ibmonitor, ifstatus, iftop, kismet, kismet-plugins, ladvd, netmonitor, pptp, scapy, tcpdump, wavemon, wifi-radar, wireshark, wol, yersinia
# GhiaPet packages
Requires:	linkloop, tcpshow

%description link
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the link-layer tools.

%package internet
Summary:	Meta-package to bring in network internet-layer testing & configuration tools
BuildArch:	noarch
# Fedora packages
Requires:	argus, argus-clients, dhcping, dwscan, ettercap, ettercap-gtk, fping, hesinfo, honeyd, hosts3d, hosts3d-sampler, hping3, hunt, ike-scan, ip6sic, ipcalculator, isic, jnettop, kismet, kismet-plugins, ladvd, mtr, mtr-gtk, nc, nc6, ndisc6, netactview, netmask, netstat-nat, nettee, ngrep, ntop, p0f, pptp, scapy, sing, socat, tcpdump, tcpflow, tcping, tcpreplay, tcptraceroute, traceroute, ttcp, unicornscan, vpnc, vpnc-consoleuser, wavemon, whatmask, wifi-radar, wireshark, xprobe2, yersinia
# RPMFusion NonFree packages
Requires:	perl-IP-Country-utils
# GhiaPet packages
Requires:	flowgrep, tcpshow, traceproto

%description internet
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the internet-layer tools.

%package transport
Summary:	Meta-package to bring in network transport-layer testing & configuration tools
BuildArch:	noarch
# Fedora packages
Requires:	argus, argus-clients, dhcping, echoping, firewalk, http_ping, httping, hunt, iperf, jnettop, nc, nc6, nessus-client, nessus-server, netactview, nethogs, netstat-nat, ngrep, ntop, nuttcp, p0f, redir, scapy, socat, tcpdump, tcpflow, tcpick, tcping, tcpjunk, tcpreplay, tcptraceroute, tcptrack, tcpxtract, traceroute, ttcp, unicornscan, vpnc, vpnc-consoleuser, xprobe2, yersinia
# GhiaPet packages
Requires:	flowgrep, tcpshow, traceproto
# abandoned packages
# Requires:	gstm, halberd

%description transport
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the transport-layer tools.

%package application
Summary:	Meta-package to bring in network application-layer testing & configuration tools
BuildArch:	noarch
# Fedora packages
Requires:	bro, checkdns, corkscrew, dhcping, dnscap, dnsperf, dnstracer, driftnet, dsniff, echoping-dns, echoping-ldap, echoping-postgresql, echoping-whois, finger, gq, gsh, gurlchecker, honeyd, http_ping, httping, httptunnel, ike-scan, jwhois, mon, nbtscan, nessus-client, nessus-server, nethogs, nfswatch, nikto, openconnect, openldap-clients, postal, raddump, radiusclient-ng, radiusclient-ng-utils, ratproxy, rblcheck, rho, scanssh, smokeping, snort-plain+flexresp, sshfp, swaks, tcpflow, tcpick, tcpjunk, tcpxtract, tftp, urlview, vnc-reflector, vpnc, vpnc-consoleuser
# RPMFusion NonFree packages
Requires:	doc, perl-IP-Country-utils
# GhiaPet packages
Requires:	dlint
# abandoned packages
# Requires:	DMitry, gstm, halberd, onesixtyone

%description application
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the application-layer tools.

%package gtk
Summary:	Meta-package to bring in GTK network testing & configuration tools
BuildArch:	noarch
# Fedora packages
Requires:	gnome-netstatus, gnome-nettool, mtr-gtk, nessus-gui, wireshark-gnome
# abandoned packages
# Requires:	gnome-applet-netspeed

%description gtk
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the GTK-based tools.

%package kde
Summary:	Meta-package to bring in KDE network testing & configuration tools
BuildArch:	noarch
Requires:	kde-plasma-networkmanagement, kdenetwork, knemo, knetstats, smb4k
# Requires:	kde-plasma-networkmanagement-openvpn, kde-plasma-networkmanagement-vpnc
# Requires:	knetworkmanager, knetworkmanager-openvpn, knetworkmanager-vpnc

%description kde
This is just a meta-package to require a mix of packages for confguring,
testing, and diagnosing IP networks.

This subpackage requires the KDE-based tools.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%files link
%defattr(-,root,root,-)

%files internet
%defattr(-,root,root,-)

%files transport
%defattr(-,root,root,-)

%files application
%defattr(-,root,root,-)

%files gtk
%defattr(-,root,root,-)

%files kde
%defattr(-,root,root,-)

%changelog
* Fri Jun 18 2010 J. Randall Owens <jrowens@ghiapet.net> - 13.0-1
- change to noarch

* Thu Jun 17 2010 J. Randall Owens <jrowens@ghiapet.net> - 13.0-1
- update package selection
- rebuild for GhiaPet/Fedora 13

* Fri Jan  8 2010 J. Randall Owens <jrowens@ghiapet.net> - 12.0-3
- add rho, unicorn

* Wed Dec 30 2009 J. Randall Owens <jrowens@randy-fedlaptop.ghiapet.net> - 12.0-1
- update for Fedora 12

* Wed Jul 15 2009  <jrowens@ghiapet.net> - 11.0-1
- Initial build for Fedora 11
